[debian-edu-commits] [Git][debian-edu/debian-edu-config][master] 8 commits: Add share/debian-edu-config/tools/copy-host-keytab to ease host key handling.
WolfgangSchweer
gitlab at salsa.debian.org
Thu Nov 29 14:34:06 GMT 2018
WolfgangSchweer pushed to branch master at Debian Edu / debian-edu-config
Commits:
c547a433 by Wolfgang Schweer at 2018-11-29T13:40:57Z
Add share/debian-edu-config/tools/copy-host-keytab to ease host key handling.
- - - - -
fd4d9364 by Wolfgang Schweer at 2018-11-29T13:42:41Z
Add share/debian-edu-config/tools/create-user-nssdb, useful for upgrades.
- - - - -
47c7218a by Wolfgang Schweer at 2018-11-29T13:44:34Z
Add share/debian-edu-config/55xfce4-session-debian-edu
This file has previously been shipped by the 'debian-edu-artwork' package.
It has been moved to d-e-c because it's configuration, not artwork related.
- - - - -
e9ec200b by Wolfgang Schweer at 2018-11-29T13:50:15Z
Adjust cf3/cf.workarounds to reflect the Xfce configuration change.
- - - - -
c8cdddc6 by Wolfgang Schweer at 2018-11-29T13:51:20Z
Adjust Makefile to reflect the changes.
- - - - -
137c88e4 by Wolfgang Schweer at 2018-11-29T13:52:58Z
Add 'uses-dpkg-database-directly' entry for etc/cron.d/debian-edu-config.
Note that this needed to cope with a false positive lintian warning.
- - - - -
6ffea124 by Wolfgang Schweer at 2018-11-29T13:56:33Z
Fix spelling error in previous changelog entry (proper name is Xfce, not XFCE).
- - - - -
03222e98 by Wolfgang Schweer at 2018-11-29T14:13:57Z
Add changelog entries for last commits.
- - - - -
7 changed files:
- Makefile
- cf3/cf.workarounds
- debian/changelog
- debian/debian-edu-config.lintian-overrides
- + share/debian-edu-config/55xfce4-session-debian-edu
- + share/debian-edu-config/tools/copy-host-keytab
- + share/debian-edu-config/tools/create-user-nssdb
Changes:
=====================================
Makefile
=====================================
@@ -387,6 +387,7 @@ install: install-testsuite
share/debian-edu-config/gosa.conf.template \
share/debian-edu-config/udisks2.patch \
share/debian-edu-config/edu-xfce4-panel.xml \
+ share/debian-edu-config/55xfce4-session-debian-edu \
share/pam-configs/edu-group \
share/pam-configs/edu-umask \
share/perl5/Debian/Edu.pm \
=====================================
cf3/cf.workarounds
=====================================
@@ -3,14 +3,18 @@ bundle agent workarounds
files:
- # Adjust panel-2, workaround for #913610; remove linking the edu file
- # once the bug is fixed.
debian.xfce.installation::
+ # Adjust panel-2, workaround for #913610; remove linking the edu file
+ # once the bug is fixed.
"/etc/xdg/xfce4/panel/default.xml"
link_from => ln_s("/usr/share/debian-edu-config/edu-xfce4-panel.xml"),
move_obstructions => "true";
+ # Suppress first-start panel question.
+ "/etc/X11/Xsession.d/55xfce4-session-debian-edu"
+ link_from => ln_s("/usr/share/debian-edu-config/55xfce4-session-debian-edu");
+
# Provide valid squid resolv.conf, remove linking the edu file
# once bug #911325 is fixed.
debian.squidcache.installation::
=====================================
debian/changelog
=====================================
@@ -1,7 +1,23 @@
+debian-edu-config (2.10.49) UNRELEASED; urgency=medium
+
+ * Add share/debian-edu-config/tools/copy-host-keytab:
+ - Kerberos host key management made easy.
+ * Add share/debian-edu-config/tools/create-user-nssdb:
+ - User account certificate management upon upgrade from Stretch.
+ * Add share/debian-edu-config/55xfce4-session-debian-edu:
+ - This file has previously been shipped by the 'debian-edu-artwork' package.
+ Moved to d-e-c because it's configuration, not artwork related.
+ * Adjust cf3/cf.workarounds and Makefile to reflect the changes.
+ * d/debian-edu-config.lintian-overrides:
+ - Add 'uses-dpkg-database-directly' entry for etc/cron.d/debian-edu-config.
+ * Fix spelling error in previous changelog entry (XFCE -> Xfce).
+
+ -- Wolfgang Schweer <wschweer at arcor.de> Thu, 29 Nov 2018 14:58:17 +0100
+
debian-edu-config (2.10.48) unstable; urgency=medium
[ Wolfgang Schweer ]
- * Work around some bugs (squid, XFCE, LXQt):
+ * Work around some bugs (squid, Xfce, LXQt):
- Add cf3/cf.workarounds.
- Add related variable definitions to cf3/edu.cf to be able to conditionally
apply the workarounds.
=====================================
debian/debian-edu-config.lintian-overrides
=====================================
@@ -10,3 +10,4 @@ debian-edu-config binary: debconf-is-not-a-registry usr/share/debian-edu-config/
debian-edu-config binary: debconf-is-not-a-registry usr/share/debian-edu-config/d-i/pre-pkgsel
debian-edu-config binary: debconf-is-not-a-registry usr/share/debian-edu-config/tools/kerberos-kdc-init
debian-edu-config binary: remove-of-unknown-diversion usr/bin/gtick postrm:18
+debian-edu-config binary: uses-dpkg-database-directly etc/cron.d/debian-edu-config
=====================================
share/debian-edu-config/55xfce4-session-debian-edu
=====================================
@@ -0,0 +1,7 @@
+case "$BASESTARTUP" in
+ xfce4-session|startxfce4)
+ if [ -z "$XFCE_PANEL_MIGRATE_DEFAULT" ]; then
+ export XFCE_PANEL_MIGRATE_DEFAULT=1
+ fi
+ ;;
+esac
=====================================
share/debian-edu-config/tools/copy-host-keytab
=====================================
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+kinit
+scp tjener:/etc/debian-edu/host-keytabs/$(hostname -s).intern.keytab /etc/krb5.keytab
=====================================
share/debian-edu-config/tools/create-user-nssdb
=====================================
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+BASE_HOME=/skole/tjener/home0
+for i in $(ls /skole/tjener/home0/ | grep -v lost+found) ; do
+ if [ -d $BASE_HOME/$i/.mozilla/firefox/debian-edu.default ] ; then
+ su - $i sh -c 'certutil -A -d dbm:$HOME/.mozilla/firefox/debian-edu.default/ -t "CT,CT," -n "DebianEdu" -i /etc/ssl/certs/Debian-Edu_rootCA.crt'
+ fi
+ if [ -d $BASE_HOME/$i/.thunderbird/debian-edu.default ] ; then
+ su - $i sh -c 'certutil -A -d dbm:$HOME/.thunderbird/debian-edu.default/ -t "CT,CT," -n "DebianEdu" -i /etc/ssl/certs/Debian-Edu_rootCA.crt'
+ else
+ mkdir -p $BASE_HOME/$i/.thunderbird/debian-edu.default
+ chmod -R 700 $BASE_HOME/$i/.thunderbird/debian-edu.default
+ chown -R $i:$i $BASE_HOME/$i/.thunderbird/debian-edu.default
+ cp /usr/share/debian-edu-config/profiles.ini $BASE_HOME/$i/.thunderbird
+ certutil -A -d dbm:$BASE_HOME/$i/.thunderbird/debian-edu.default/ -t "CT,CT," -n "DebianEdu" -i /etc/ssl/certs/Debian-Edu_rootCA.crt
+ fi
+ if [ -d $BASE_HOME/$i/.pki/nssdb ] ; then
+ su - $i sh -c 'certutil -A -d sql:$HOME/.pki/nssdb/ -t "CT,CT," -n "DebianEdu" -i /etc/ssl/certs/Debian-Edu_rootCA.crt'
+ else
+ mkdir -p $BASE_HOME/$i/.pki/nssdb
+ chmod -R 700 $BASE_HOME/$i/.pki/nssdb
+ chown -R $i:$i $BASE_HOME/$i/.pki/nssdb
+ certutil -A -d sql:$BASE_HOME/$i/.pki/nssdb/ -t "CT,CT," -n "DebianEdu" -i /etc/ssl/certs/Debian-Edu_rootCA.crt
+ fi
+ logger -t create-user-nssdb -p notice Both dbm and sql nssdb files created in \'$BASE_HOME/$i\'.
+done
+
+exit 0
View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/compare/039d8ce128376eafd1df477b05d36ce3b615a16a...03222e987b5391e297a71a50b8ec805aeb36b5d2
--
View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/compare/039d8ce128376eafd1df477b05d36ce3b615a16a...03222e987b5391e297a71a50b8ec805aeb36b5d2
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-edu-commits/attachments/20181129/11a336be/attachment-0001.html>
More information about the debian-edu-commits
mailing list